Bug 242898 - kernel dm: remove KCOPYD_MAX_REGIONS restriction
Summary: kernel dm: remove KCOPYD_MAX_REGIONS restriction
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 425461
TreeView+ depends on / blocked
 
Reported: 2007-06-06 10:06 UTC by Milan Broz
Modified: 2013-03-01 04:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 14:04:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Milan Broz 2007-06-06 10:06:33 UTC
+++ This bug was initially created as a clone of Bug #219189 +++

There is hardcoded kernel restriction of max. 8 destination regions for kcopyd
and this limits number of dm mirror legs.

Need to make this value configurable (dynamic).

Comment 2 RHEL Product and Program Management 2008-02-01 22:41:34 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 5 RHEL Product and Program Management 2009-06-15 21:01:35 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Milan Broz 2010-05-17 14:04:43 UTC
Three years, no upstream fix and no real problem with this restriction -> closing.

It can be eventually fixed as part of feature which require this change.


Note You need to log in before you can comment on or make changes to this bug.